Bug 473839 - layout switcher doesn't work
layout switcher doesn't work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
11
All Linux
high Severity high
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-30 19:43 EST by Petr Sklenar
Modified: 2010-06-28 06:52 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:52:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2008-11-30 19:43:12 EST
Description of problem:
when you have more layouts and you switch default it doesn't work

Version-Release number of selected component (if applicable):
control-center-2.24.0.1-9.fc10.i386


How reproducible:
always

Steps to Reproduce:
1. add layout, for ex Czech
2. there is Czech as the first, USA as the second in selected layout list
3. check USA as default by unchecking "separate layout for each window", click USA as default, then its a second
4. reboot
5. start and login to gnome
  
Actual results:
CZECH is currently layout and icon shows USA

Expected results:
USA is currently layout and icon shows USA, when USA is listed as whatever in layout list

Additional info:
btw i cannot select default so easily, see:
Bug 473837 -  couldn't switch layout
Comment 1 Bug Zapper 2009-06-09 06:02:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-04-27 08:25:33 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 fujiwara 2010-04-27 10:02:21 EDT
Hmm.., I don't remember the previous Fedora. 
In Fedora 13, the default layout is what you choose in GDM login. So if you choose 'us' layout on GDM login, you could get the expected behavior.
I have been workiing on bug 474010. After the fix, even if you choose cz on GDM login, the layout will be "us,cz" as you expect.
Comment 4 Bug Zapper 2010-06-28 06:52:11 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.